import { TypedUseSelectorHook, useDispatch, useSelector } from "react-redux";
import type { Store, Dispatch } from "./store";

export const useAppDispatch: () => Dispatch = useDispatch;
export const useAppSelector: TypedUseSelectorHook<Store> = useSelector;
