import type { Store } from "$lib/store";

export const getBlog = (state: Store, id: string) =>
	id in state.blogs.blogs ? state.blogs.blogs[id] : undefined;

export const getBlogByBlogName = (state: Store, name: string) => {
	const id =
		name in state.blogs.blogNames ? state.blogs.blogNames[name] : undefined;
	if (!id) return undefined;
	return id in state.blogs.blogs ? state.blogs.blogs[id] : undefined;
};
