import { Stack } from "@mui/material";

import AppRouter from "$/AppRouter";
import DesktopNav from "./DesktopNav";
import MobileNav from "./MobileNav";

export default function Layout() {
	return (
		<>
			<Stack direction={{ xs: "column", lg: "row" }}>
				<DesktopNav />
				<Stack direction="row">
					<AppRouter />
				</Stack>
				<MobileNav />
			</Stack>
		</>
	);
}
